#include <iostream>
#include <vector>
#include <cmath>
#include <string>
#include "histogam.h"
#include "text.h"
#include "svg.h"
#include <conio.h>
#include "histogam_internal.h"
#include <curl/curl.h>
using namespace std;



/*struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data() {
    size_t number_count;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }

    cerr<< "Enter number of bins";
    cin >> in.bin_count;
    return in;
}

int main()
{
    Input in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    double min, max;
    find_minmax(in.numbers,min,max);
    show_histogram_svg(bins,min,max);
    return 0;
    }
*/
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool promt)
{
    size_t number_count;
     if (promt)
    {
        cerr << "Enter number count: ";
    }
    in >> number_count;
    Input ik;
    ik.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        cin >> ik.numbers[i];
    }
    cerr << "Enter bin count: ";
    cin>> ik.bin_count;
    return ik;
}




int main(int argc, char* argv[]) {
if (argc > 1)
    {
        CURL *curl = curl_easy_init();
        if(curl)
        {
            CURLcode res;
            curl_easy_setopt(curl, CURLOPT_URL, argv[1]);
            res = curl_easy_perform(curl);
            curl_easy_cleanup(curl);
            if (res != CURLE_OK){
                        cout << curl_easy_strerror;
                        exit(1);
                    }
        }
        return 0;
    }
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    getch();
    return 0;
}
